## org.eclipse.amp.amf.testing.aTest.impl
Class ConstraintImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.amp.amf.testing.aTest.impl.ConstraintImpl

All Implemented Interfaces:
  Constraint, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class ConstraintImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements Constraint

An implementation of the model object 'Constraint'.

The following features are implemented:

- `Measure`
- `Agent`
- `Attribute`
- `Qualifier`
- `Min Value`
- `Max Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SAgent` `basicGetAgent()`
`SAttribute` `basicGetAttribute()`
`SStateValue` `basicGetQualifier()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMaxValue(Value newMaxValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMinValue(Value newMinValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SAgent` `getAgent()`
`SAttribute` `getAttribute()`
`Value` `getMaxValue()`
`Measure` `getMeasure()`
`Value` `getMinValue()`
`SStateValue` `getQualifier()`
`void` `setAgent(SAgent newAgent)`
`void` `setAttribute(SAttribute newAttribute)`
`void` `setMaxValue(Value newMaxValue)`
`void` `setMeasure(Measure newMeasure)`
`void` `setMinValue(Value newMinValue)`
`void` `setQualifier(SStateValue newQualifier)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMeasure

    public Measure getMeasure()

  Specified by:
    `getMeasure` in interface `Constraint`
  Returns:
    the value of the 'Measure' attribute.
  See Also:
    `Measure`, `Constraint.setMeasure(Measure)`, `ATestPackage.getConstraint_Measure()`

### setMeasure

    public void setMeasure(Measure newMeasure)

  Specified by:
    `setMeasure` in interface `Constraint`
  Parameters:
    `newMeasure` - the new value of the 'Measure' attribute.
  See Also:
    `Measure`, `Constraint.getMeasure()`

### getAgent

    public SAgent getAgent()

  Specified by:
    `getAgent` in interface `Constraint`
  Returns:
    the value of the 'Agent' reference.
  See Also:
    `Constraint.setAgent(SAgent)`, `ATestPackage.getConstraint_Agent()`

### basicGetAgent

    public SAgent basicGetAgent()

### setAgent

    public void setAgent(SAgent newAgent)

  Specified by:
    `setAgent` in interface `Constraint`
  Parameters:
    `newAgent` - the new value of the 'Agent' reference.
  See Also:
    `Constraint.getAgent()`

### getAttribute

    public SAttribute getAttribute()

  Specified by:
    `getAttribute` in interface `Constraint`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `Constraint.setAttribute(SAttribute)`, `ATestPackage.getConstraint_Attribute()`

### basicGetAttribute

    public SAttribute basicGetAttribute()

### setAttribute

    public void setAttribute(SAttribute newAttribute)

  Specified by:
    `setAttribute` in interface `Constraint`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `Constraint.getAttribute()`

### getQualifier

    public SStateValue getQualifier()

  Specified by:
    `getQualifier` in interface `Constraint`
  Returns:
    the value of the 'Qualifier' reference.
  See Also:
    `Constraint.setQualifier(SStateValue)`, `ATestPackage.getConstraint_Qualifier()`

### basicGetQualifier

    public SStateValue basicGetQualifier()

### setQualifier

    public void setQualifier(SStateValue newQualifier)

  Specified by:
    `setQualifier` in interface `Constraint`
  Parameters:
    `newQualifier` - the new value of the 'Qualifier' reference.
  See Also:
    `Constraint.getQualifier()`

### getMinValue

    public Value getMinValue()

  Specified by:
    `getMinValue` in interface `Constraint`
  Returns:
    the value of the 'Min Value' containment reference.
  See Also:
    `Constraint.setMinValue(Value)`, `ATestPackage.getConstraint_MinValue()`

### basicSetMinValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetMinValue(Value newMinValue,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setMinValue

    public void setMinValue(Value newMinValue)

  Specified by:
    `setMinValue` in interface `Constraint`
  Parameters:
    `newMinValue` - the new value of the 'Min Value' containment reference.
  See Also:
    `Constraint.getMinValue()`

### getMaxValue

    public Value getMaxValue()

  Specified by:
    `getMaxValue` in interface `Constraint`
  Returns:
    the value of the 'Max Value' containment reference.
  See Also:
    `Constraint.setMaxValue(Value)`, `ATestPackage.getConstraint_MaxValue()`

### basicSetMaxValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetMaxValue(Value newMaxValue,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setMaxValue

    public void setMaxValue(Value newMaxValue)

  Specified by:
    `setMaxValue` in interface `Constraint`
  Parameters:
    `newMaxValue` - the new value of the 'Max Value' containment reference.
  See Also:
    `Constraint.getMaxValue()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`